﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Helpers;

namespace Domain
{
    public class Person : ObservableObject
    {
        private string _firstName;
        public string FirstName {
            get { return _firstName; }
            set { _firstName = value;
                OnPropertyChanged(nameof(FirstName));
                OnPropertyChanged(nameof(FirstLastName));
            }
        }

        private string _lastName;
        public string LastName {
            get { return _lastName;}
            set
            {
                _lastName = value;
                OnPropertyChanged(nameof(LastName));
                OnPropertyChanged(nameof(FirstLastName));
            }
        }

        public string FirstLastName => $"{FirstName} {LastName}";

        public override string ToString()
        {
            return FirstLastName;
        }
    }
}
